﻿using NTERA.EmuEra.Game.EraEmu.Content;

namespace NTERA.Core
{
	public interface IScriptEngine
	{
		bool Initialize(IConsole console);
		void Start();
		
		void InputString(string input);
		void InputInteger(long input);
		void InputSystemInteger(long input);

		CroppedImage GetImage(string name);
	}
}