using System.Drawing;

namespace NTERA.EmuEra.Game.EraEmu.Content
{
	public class CroppedImage
	{
		public readonly string Name;
		public bool Enabled = false;

		public CroppedImage(string name, Bitmap image, Rectangle rect, bool noresize)
		{
			Name = name;

			Bitmap = image;
			Rectangle = rect;

			if (rect.Width <= 0 || rect.Height <= 0)
				Enabled = false;
			NoResize = noresize;
		}
		public readonly Bitmap Bitmap;
		public readonly Rectangle Rectangle;
		public readonly bool NoResize;
	}
}
