﻿using NTERA.Core;
using NUnit.Framework;

namespace NTERA.Interpreter.Tests
{
    public static class Common
    {
        public static void AssertLocal(Interpreter interpreter, double value)
        {
            Assert.AreEqual(value, interpreter.Variables["LOCAL"].Real);
        }

        public static Interpreter Run(string code, IConsole console = null)
        {
            Interpreter interpreter = new Interpreter(console, code);

            interpreter.Exec();

            return interpreter;
        }
    }
}
