﻿using System.Collections.Generic;
using System.Linq;

namespace NTERA.Interpreter
{
	public static class Utility
	{
		public static IEnumerable<TAttribute> GetEnumAttributes<TEnum, TAttribute>(TEnum enumValue)
		{
			return typeof(TEnum).GetField(enumValue.ToString()).GetCustomAttributes(typeof(TAttribute), false).Cast<TAttribute>();
		}
	}
}