﻿namespace NTERA.Interpreter
{
	public class Variable
	{
		public string Name { get; }

		public int[] Index { get; }

		protected VariableDictionary Dictionary { get; }

		public Value Value
		{
			get => Dictionary[Name, Index[0]];
			set => Dictionary[Name, Index[0]] = value;
		}

		public Variable(string name, int[] index, VariableDictionary dictionary)
		{
			Name = name;
			Index = index;
			Dictionary = dictionary;
		}
	}
}