﻿using System;
using System.Drawing;

namespace NTERA.Console
{
	public interface IRenderItem : IDisposable
	{
		bool InvalidateOnMouseStateChange { get; }

		Rectangle Region { get; set; }

		int Render(Graphics graphics, Rectangle renderArea, Rectangle invalidatedArea, Point mousePointer);
	}
}
